uk.co.mruoc.http.client

## Class FakeHttpClient

- java.lang.Object
- - uk.co.mruoc.http.client.BaseHttpClient
  - - uk.co.mruoc.http.client.SimpleHttpClient
    - - uk.co.mruoc.http.client.FakeHttpClient

All Implemented Interfaces:
  HttpClient

    public class FakeHttpClient
    extends SimpleHttpClient

### Constructor Summary

Constructors
Constructor and Description
`FakeHttpClient()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.List<Request>` `allRequests()`
`void` `cannedResponse(int status)`
`void` `cannedResponse(int status, java.lang.String entity)`
`void` `cannedResponse(int status, java.lang.String entity, Headers headers)`
`protected Response` `execute(org.apache.http.client.methods.HttpRequestBase request)`
`java.lang.String` `lastRequestBody()`
`java.lang.String` `lastRequestHeader(java.lang.String name)`
`Method` `lastRequestMethod()`
`java.lang.String` `lastRequestUri()`
`void` `throwsException(java.lang.RuntimeException exception)`
`void` `throwsIoException()`

### Methods inherited from class uk.co.mruoc.http.client.SimpleHttpClient

`delete, get, post, put`

### Methods inherited from class uk.co.mruoc.http.client.BaseHttpClient

`delete, get, post, put`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FakeHttpClient

    public FakeHttpClient()

### Method Detail

#### allRequests

    public java.util.List<Request> allRequests()

#### lastRequestMethod

    public Method lastRequestMethod()

#### lastRequestBody

    public java.lang.String lastRequestBody()

#### lastRequestHeader

    public java.lang.String lastRequestHeader(java.lang.String name)

#### lastRequestUri

    public java.lang.String lastRequestUri()

#### cannedResponse

    public void cannedResponse(int status)

#### cannedResponse

    public void cannedResponse(int status,
                               java.lang.String entity)

#### cannedResponse

    public void cannedResponse(int status,
                               java.lang.String entity,
                               Headers headers)

#### throwsException

    public void throwsException(java.lang.RuntimeException exception)

#### throwsIoException

    public void throwsIoException()

#### execute

    protected Response execute(org.apache.http.client.methods.HttpRequestBase request)

Overrides:
  `execute` in class `SimpleHttpClient`